%define PCAP_UID 79
%define PCAP_GID 79

Summary:	A network traffic monitoring tool.
Name:		tcpdump
Group:		Applications/Internet
License:	BSD
Version:	3.8.3
Release:	1
Source0:	http://www.tcpdump.org/release/%{name}-%{version}.tar.gz
Patch0:		tcpdump-3.8.3-droproot-gd-1.diff
Patch1:		tcpdump-3.8.3-no-pcap_debug-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Tcpdump is a command-line tool for monitoring network traffic.
Tcpdump can capture and display the packet headers on a particular
network interface or on all interfaces.  Tcpdump can display all of
the packet headers, or just the ones that match particular criteria.

%files
  %defattr(-,root,root)
  %doc README CHANGES
  %doc %{_mandir}/man1/tcpdump.1*
  %attr(0500,root,root)		%{_sbindir}/tcpdump

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
  %configure --enable-ipv6 --with-user=pcap

  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

%pre
  /usr/sbin/groupadd -g %{PCAP_GID} pcap  2> /dev/null || :

  /usr/sbin/useradd -u %{PCAP_UID} -g %{PCAP_GID} \
        -s /sbin/nologin -M -r -d /var/empty pcap 2> /dev/null || ( /usr/bin/chsh pcap /sbin/nologin 2> /dev/null || : )

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.8.3, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
